GET /integrations/github/repos
List GitHub repositories connected to the installation.
curl "https://api.ellipsis.dev/v1/integrations/github/repos" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"repositories": [
{
"default_branch": "string",
"description": "string",
"full_name": "string",
"id": 0,
"name": "string",
"private": false
}
]
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.integrations.github.repos()
print(result){
"repositories": [
{
"default_branch": "string",
"description": "string",
"full_name": "string",
"id": 0,
"name": "string",
"private": false
}
]
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.integrations.github.repos();
console.log(result);{
"repositories": [
{
"default_branch": "string",
"description": "string",
"full_name": "string",
"id": 0,
"name": "string",
"private": false
}
]
}No request body.
{
"properties": {
"repositories": {
"items": {
"properties": {
"default_branch": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"full_name": {
"type": "string"
},
"id": {
"type": "integer"
},
"name": {
"type": "string"
},
"private": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"full_name",
"private"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"repositories"
],
"type": "object"
}